Content.makeFrontInterface(600, 500);

const var VU_METER_OUT_MONITOR = Synth.getEffect("VU_METER_OUT_MONITOR");


inline function createFilmStripVuMeter_Right_Output(name, x, y, isLeft)
{
	local widget = Content.addPanel(name, x, y);
    
    Content.setPropertiesFromJSON(name, {
      "width": 151, 
      "height": 83,
      "opaque": true 
     
    });
    
    // Put the image in your image folder
    widget.loadImage("{PROJECT_FOLDER}VU_Meter_70Frames_00000.png", "filmstrip");
    
    widget.data.value = 0.0;
    widget.data.isLeft = isLeft;
    
    // Set the initial image 
    widget.setImage("filmstrip", 0, 0);
    
    widget.setTimerCallback(function()
    {
         // Get the peak value from the master output
         var newValue = VU_METER_OUT_MONITOR.getCurrentLevel(false);
 
    	
    	if(newValue > this.data.value)
    		this.data.value = newValue;
    	else
    		// Just decay the current value (0.94 controls the decay time)
    		this.data.value = this.data.value * 0.94;
    	

    	// 54 is ~0dB which is
    	var index = parseInt(this.data.value * 54.0);
    	

    	// the yOffset is index * heightOfFilmstrip
    	this.setImage("filmstrip", 0, index * 120.0);	
    });
    
    widget.startTimer(50);
    return widget;
};


const var VuMeterRight_Output = createFilmStripVuMeter_Right_Output("VuMeterRight_Output", 220, 166, false);


function onNoteOn()
{
	
}
 function onNoteOff()
{
	
}
 function onController()
{
	
}
 function onTimer()
{
	
}
 function onControl(number, value)
{
	
}
 